% Example 1: All the instructions you can use
%
% Step 1: connect the PC to Master-8
% Step 2: switch to paradigm #4 and Set all channels modes
% Step 3: switch to paradigm #5 and Set the time parameters of the channels
% Step 4: Example for all the other instructions
%------------------------------------

%This is a sample for declaring variables.
cmOff = 0;
cmFree = 1;
cmTrain = 2;
cmTrig = 3;
cmDC = 4;
cmGate = 5;
cmTwin=6;
csMonopolar=0;
csBipolar=1;
csRamp=2;

%------------------------------------

%step 1: Connect the PC to Master-8 first. Connect return true on success connection.

% Master9=actxserver ('AmpiLib.Master9'); %Create COM Automation server
Master9=actxserver ('AmpiLib.Master9'); %Create COM Automation server
if ~(Master9.Connect),
    h=errordlg('Can''t connect to Master9!','Error');
    uiwait(h);
    delete(Master9); %Close COM
    return;
end;
%------------------------------------

%Step 2: switch to paradigm #4 and Set all channels modes
h=msgbox('switch to paradigm 4. Click here to continue','Message');
uiwait(h);
Master9.ChangeParadigm( 4);         %switch to paradigm #4
Master9.ClearParadigm;                %clear present paradigm (#4)
%------------------------------------


% The following lines are examples to set the operation mode of the different channels
Master9.ChangeChannelMode( 1, cmGate);		%set chnnel 1 to the GATE mode
Master9.ChangeChannelMode( 2, cmFree);		%set chnnel 2 to the FREE-RUN mode
Master9.ChangeChannelMode( 3, cmTrain);	   %set chnnel 3 to the TRAIN mode
Master9.ChangeChannelMode( 4, cmTrig);		%set chnnel 4 to the TRIG mode
Master9.ChangeChannelMode( 5, cmDC);           %set chnnel 5 to the DC mode
Master9.ChangeChannelMode( 6, cmFree);		%set chnnel 6 to the FREE-RUN mode
Master9.ChangeChannelMode( 6, cmOff	);       %set chnnel 6 to the OFF mode
Master9.ChangeChannelMode( 7, cmTwin);
Master9.SetChannelShape(3,csBipolar);
Master9.SetChannelShape(4,csRamp);
Master9.ChangeChannelMode( 8, cmTrig);		%set chnnel 8 to the TRIG mode
% -------------------


% Step 3: switch to paradigm #5 and Set the time parameters of the channels

h=msgbox('switch to paradigm 5. Click here to continue.','Message');	%message box
uiwait(h);
Master9.ChangeParadigm( 5);		%switch to paradigm #5
Master9.ClearParadigm;            %clear present paradigm (#5)
% -------------------

% The following lines are examples to set the parameters of the different channels
Master9.SetChannelN(8,900);                                  %N8=900
Master9.SetChannelDuration (1,40e-6);          %D1=40 usec - can be written in any format
Master9.SetChannelInterval(1,0.001234);      %I1=1.234 msec
Master9.SetChannelDelay(1,0.01234);               %L1=12.34 msec
Master9.SetChannelDuration(2,0.01);             %D2=10 msec
Master9.SetChannelInterval(2,0.1);               %I2=100 msec
xtime=2.1;				% example for using variable time
Master9.SetChannelDelay(2,xtime+0.4);       %L2=2.1+0.4=2.5 sec
Master9.SetChannelDuration(3,10);               %D3=10 sec
Master9.SetChannelInterval(3,100);             %I3=100 sec
Master9.SetChannelDelay(3,1000);                  %L3=1000 sec
Master9.SetChannelInterval(4,3999);           %I4=3999 sec (1 hour+399 sec)
Master9.SetChannelVoltage(4,-2.1);		%Master-9  V4=-2.1 Volt
Master9.SetChannelDeltaV(3,-0.01);		%Master-9 DeltaV=-0.01 Volt
% -------------------

% Step 4: Example for all the other instructions

h=msgbox('switch to paradigm 6. Click here to continue.','Message');
uiwait(h);
Master9.ChangeParadigm( 4);
Master9.CopyParadigm( 6);
Master9.ChangeParadigm( 6);
% Master9.ClearParadigm;
% -------------------

% The following lines are other very useful examples
% Master9.CopyParadigm( 4, 6);			   %copy paradigm 4 to paradigm 6
Master9.ConnectChannel( 8, 1);			%connect channel 8 to channel 1
Master9.ConnectChannel( 8, 2);			%connect channel 8 to channel 2
Master9.ConnectChannel( 8, 3);			%connect channel 8 to channel 3
Master9.DisconnectChannel( 8, 2);	%disconnect connection from channel 8 to channel 1
Master9.SetChannelDuration( 8, 5); % D8=5 sec
Master9.ChangeChannelMode( 1, cmGate); % Set Channel 1 To Gate Mode
Master9.ChangeChannelMode( 2, cmOff); % Set Channel 2 To OFF
Master9.ChangeChannelMode( 3, cmTrain); % Set Channel 3 To Train Mode
Master9.SetChannelN( 3, 100); % N3=100 pulses per Train

% -------------------
h=msgbox('Click to trigger channel 8','Message');
uiwait(h);
Master9.Trigger( 8);                               %trigger channel 8
%Disconect the Comunication with master 9
msgbox('Done!','Message');
delete(Master9);
% -------------------


